Page MenuHomePhabricator

Track number of links to schema pages
Closed, ResolvedPublic5 Story Points

Description

Can be done via SQL query over the pagelinks table, e. g. daily.

Details

Related Gerrit Patches:
analytics/wmde/scripts : productionFix loading of the bootstrap file
analytics/wmde/scripts : masterFix loading of the bootstrap file
analytics/wmde/scripts : productionTrack number of links to Wikidata entity namespaces
analytics/wmde/scripts : masterTrack number of links to Wikidata entity namespaces

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2019, 2:51 PM
Michael moved this task from Backlog to Doing on the Shape Expressions Sprint 5 board.
Michael claimed this task.Apr 3 2019, 2:00 PM
Michael added a project: User-Michael.
Michael moved this task from 🗃️ Incoming to ⏳ In progress on the User-Michael board.

Change 500966 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[analytics/wmde/scripts@master] Track number of links to Wikidata entity namespaces

https://gerrit.wikimedia.org/r/500966

Change 500966 merged by jenkins-bot:
[analytics/wmde/scripts@master] Track number of links to Wikidata entity namespaces

https://gerrit.wikimedia.org/r/500966

Change 502179 had a related patch set uploaded (by Hoo man; owner: Michael Große):
[analytics/wmde/scripts@production] Track number of links to Wikidata entity namespaces

https://gerrit.wikimedia.org/r/502179

Change 502179 merged by jenkins-bot:
[analytics/wmde/scripts@production] Track number of links to Wikidata entity namespaces

https://gerrit.wikimedia.org/r/502179

Adding to camp so we can create a graph on grafana for it.

WMDE-leszek set the point value for this task to 5.Jun 4 2019, 1:00 PM
Michael removed Michael as the assignee of this task.Jun 18 2019, 12:22 PM
Michael added a subscriber: Michael.

When I looked into implementing this, I noticed that the data doesn't seem to be collected. The original patch https://gerrit.wikimedia.org/r/c/analytics/wmde/scripts/+/502179 doesn't seem to be doing what it is expected to do. However, I have no idea why.

Change 520893 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[analytics/wmde/scripts@master] Fix loading of the bootstrap file

https://gerrit.wikimedia.org/r/520893

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 5 2019, 2:51 PM

Change 520893 merged by jenkins-bot:
[analytics/wmde/scripts@master] Fix loading of the bootstrap file

https://gerrit.wikimedia.org/r/520893

Change 520895 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[analytics/wmde/scripts@production] Fix loading of the bootstrap file

https://gerrit.wikimedia.org/r/520895

Change 520895 merged by jenkins-bot:
[analytics/wmde/scripts@production] Fix loading of the bootstrap file

https://gerrit.wikimedia.org/r/520895